diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index e4e9ce7398..ae6f6261f5 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -7158,11 +7158,11 @@ StartupXLOG(void)
 
 					if (info == XLOG_CHECKPOINT_SHUTDOWN)
 					{
-						CheckPoint	checkPoint;
+						CheckPoint	xcheckPoint;
 
-						memcpy(&checkPoint, XLogRecGetData(xlogreader), sizeof(CheckPoint));
-						newTLI = checkPoint.ThisTimeLineID;
-						prevTLI = checkPoint.PrevTimeLineID;
+						memcpy(&xcheckPoint, XLogRecGetData(xlogreader), sizeof(CheckPoint));
+						newTLI = xcheckPoint.ThisTimeLineID;
+						prevTLI = xcheckPoint.PrevTimeLineID;
 					}
 					else if (info == XLOG_END_OF_RECOVERY)
 					{
